import React from 'react';
import { Table } from 'react-bootstrap';
import Fetcher from './Fetcher';
import { printMoney } from './util';

class ProductList extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            products: [],
        };
    }

    render() {
        const entries = this.state.products.map((product) => {
            return (
                <tr key={product.code}>
                    <td>{product.code}</td>
                    <td>{product.name}</td>
                    <td>{printMoney(product.price)}</td>
                    <td>{product.stock}</td>
                </tr>
            )
        });

        return (
            <Fetcher url="/api/product" onFetch={products => this.setState({ products })} >
                <Table striped bordered hover>
                    <thead>
                        <tr>
                            <th>codigo</th>
                            <th>Nombre</th>
                            <th>Precio</th>
                            <th>Existencias</th>
                        </tr>
                    </thead>
                    <tbody>
                        {entries}
                    </tbody>
                </Table>
            </Fetcher>
        );
    }
}

export default ProductList;
